require 'forwardable'

module ZXFile
	class Medium

		extend Forwardable
		
		def_delegator :@blocks, :<<

		def initialize
			@blocks = []
		end
		
		def write(format, file)
			ZXFile::TapeFile.write(format, file) do |io|
				@blocks.each { |block| block.write(format, io) }
			end
		end

	end
end
